Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in tcpdump
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in tcpdump
ID: USN-2433-1
Distribution: Ubuntu
Plattformen: Ubuntu 10.04 LTS, Ubuntu 12.04 LTS, Ubuntu 14.04 LTS, Ubuntu 14.10
Datum: Do, 4. Dezember 2014, 16:37
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8767
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8768
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8769
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-9140
Applikationen: tcpdump

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============2377695019826934600==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="QiBfVT1HJ11pTHfGD1wtTfO1Ep3gv5W8R"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--QiBfVT1HJ11pTHfGD1wtTfO1Ep3gv5W8R
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-2433-1
December 04, 2014

tcpdump vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 14.10
- Ubuntu 14.04 LTS
- Ubuntu 12.04 LTS
- Ubuntu 10.04 LTS

Summary:

Several security issues were fixed in tcpdump.

Software Description:
- tcpdump: command-line network traffic analyzer

Details:

Steffen Bauch discovered that tcpdump incorrectly handled printing OSLR
packets. A remote attacker could use this issue to cause tcpdump to crash,
resulting in a denial of service, or possibly execute arbitrary code.
(CVE-2014-8767)

Steffen Bauch discovered that tcpdump incorrectly handled printing GeoNet
packets. A remote attacker could use this issue to cause tcpdump to crash,
resulting in a denial of service, or possibly execute arbitrary code. This
issue only applied to Ubuntu 14.04 LTS and Ubuntu 14.10. (CVE-2014-8768)

Steffen Bauch discovered that tcpdump incorrectly handled printing AODV
packets. A remote attacker could use this issue to cause tcpdump to crash,
resulting in a denial of service, reveal sensitive information, or possibly
execute arbitrary code. (CVE-2014-8769)

It was discovered that tcpdump incorrectly handled printing PPP packets. A
remote attacker could use this issue to cause tcpdump to crash, resulting
in a denial of service, or possibly execute arbitrary code.
(CVE-2014-9140)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 14.10:
tcpdump 4.6.2-1ubuntu1.1

Ubuntu 14.04 LTS:
tcpdump 4.5.1-2ubuntu1.1

Ubuntu 12.04 LTS:
tcpdump 4.2.1-1ubuntu2.1

Ubuntu 10.04 LTS:
tcpdump 4.0.0-6ubuntu3.1

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-2433-1
CVE-2014-8767, CVE-2014-8768, CVE-2014-8769, CVE-2014-9140

Package Information:
https://launchpad.net/ubuntu/+source/tcpdump/4.6.2-1ubuntu1.1
https://launchpad.net/ubuntu/+source/tcpdump/4.5.1-2ubuntu1.1
https://launchpad.net/ubuntu/+source/tcpdump/4.2.1-1ubuntu2.1
https://launchpad.net/ubuntu/+source/tcpdump/4.0.0-6ubuntu3.1



--QiBfVT1HJ11pTHfGD1wtTfO1Ep3gv5W8R
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJUgG3QAAoJEGVp2FWnRL6TfxoP/jvY0RNmVNLiFiiYcHy0a7Jw
PINYyUckQ0Qw6UfV5XYj2kuhMuRbExrLoFZM0M50HCRMKx+IcxkPzr7kULR9AS3K
ynNljbQCwJySuFVpWHVwqpbVACpCny98imsYf38YScoSfSujWD9B/4gvCQ7cgKZ7
QSbj8wWh/eJgj+WwMmw6Z0niB12m//zqsMESAx3Ftzac7tOveavp+zW6U9HQfZia
j4km3V6U/c7/Rp6PAiP8E3p9vEXwpQpOOClXjJm/pTLvxNvWwKb9cBnJ+zwOtfcR
wUwGhG8H+QN7rZnFMmy45GFXTpnlWWmJhNtU7f9o8Txt4olKwZ9Kj+YWY6H4Txmx
9+We+FZjOQMlIrdfxPNhLU08dH+V6QBqaOm/OUIEXQAmdl5KoQVrhsz7SKpDcUfY
o/7cAx9mU4H0uNhuuUmG0JnYBdIdUjbd/py2N9M2kPKflW43XjtJJR5lFwiS/b+2
lpPHHjzEVWVulhRoxkX722RDKuMS773jgVKQUE/2O+gDxLqIYIbBdOd73WMLy53G
ixZxTTrVshsup/QeeodVlEO2FHYKTYhJDAsn1D5KlwGLOv5sUrAadMJVa47wDy/9
9cFTbYO+SfOV11MZ9h10l6sU3p0uFqxRcYnQ1u1kpRjZtb0yxzZ9ySHNVf1MK6L3
vlwiIJBnJ4VUtQAptNXL
=37b1
-----END PGP SIGNATURE-----

--QiBfVT1HJ11pTHfGD1wtTfO1Ep3gv5W8R--


--===============2377695019826934600==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============2377695019826934600==--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung